API ReferenceMachines
Get Machine Metrics
Get a single machine metrics, identified by machineId and metricType.
Authorization
bearerAuth user, superuser, admin, superadmin, readonlyAuthorization<token>
In: header
Scope: user, superuser, admin, superadmin, readonly
Path Parameters
machineId*number
The machine's ID.
Format
doublemetricType*string
The metric type.
Value in
- "speed"
- "oee"
- "quality"
- "uptime"
- "downtime"
- "availability"
- "performance"
- "correct"
- "defects"
- "total"
Query Parameters
interval*string
Filter by interval.
Value in
- "shift"
- "daily"
- "weekly"
- "monthly"
start*string
The start of the date range to filter by.
Format
date-timeend*string
The end of the date range to filter by.
Format
date-timeaggregation?string
Filter by aggregation.
Value in
- "average"
- "count"
- "max"
- "min"
- "sum"
Response Body
application/json
Try it live
curl -X GET "https://example.com/machines/0.1/metrics/speed?interval=shift&start=2019-08-24T14%3A15%3A22Z&end=2019-08-24T14%3A15%3A22Z"[ { "metric": "speed", "value": 0, "timestamp": "2019-08-24T14:15:22Z" }]